* [gentoo-commits] repo/gentoo:master commit in: dev-ml/yojson/, dev-ml/yojson/files/
@ 2023-11-02 22:11 Maciej Barć
0 siblings, 0 replies; only message in thread
From: Maciej Barć @ 2023-11-02 22:11 UTC (permalink / raw
To: gentoo-commits
commit: 4954e630819c37d87175508c9cdaf7c199fb88de
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 2 21:40:23 2023 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Nov 2 22:11:22 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4954e630
dev-ml/yojson: bump to 2.1.1
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
dev-ml/yojson/Manifest | 1 +
dev-ml/yojson/files/yojson-2.1.1-dune-seq.patch | 9 +++++
dev-ml/yojson/yojson-2.1.1.ebuild | 44 +++++++++++++++++++++++++
3 files changed, 54 insertions(+)
diff --git a/dev-ml/yojson/Manifest b/dev-ml/yojson/Manifest
index 93fb396c4417..99da581f40e9 100644
--- a/dev-ml/yojson/Manifest
+++ b/dev-ml/yojson/Manifest
@@ -1 +1,2 @@
DIST yojson-2.1.0.tar.gz 48316 BLAKE2B 49634800de95035624803883b7f44eda1dd4ba8c050efc52ba31246aba7c37b57d717ebc6d487a9c99ba55ab416a5b196974b0bac09bc6a74992356840e4ae52 SHA512 d52e4fcac41165f9fb74e922d35dd247e1622674f74d6e80978fbc1f42b45f45797965e41129e7acd049451ef5fcec48021ca7c866e36a4e8c4c51e78bab9d7f
+DIST yojson-2.1.1.tar.gz 49090 BLAKE2B aa11a3d6b786f33fa2da6dbf34f2a496a1796eab64d87069420fc9953fef6442660a58f259c4abcca6373710375723e6965f0ab9c9dbcafea46eb6e03147fb54 SHA512 935014c43bca83201b0e9d3399e751ae5667ac12bc7fe3d8777b6a84a1216a7325b3cdafb8f9650a4c3979d0e2df6fdeae3cc894c92a175f7ee75ee6303b46c2
diff --git a/dev-ml/yojson/files/yojson-2.1.1-dune-seq.patch b/dev-ml/yojson/files/yojson-2.1.1-dune-seq.patch
new file mode 100644
index 000000000000..d2ad6e750eb1
--- /dev/null
+++ b/dev-ml/yojson/files/yojson-2.1.1-dune-seq.patch
@@ -0,0 +1,9 @@
+--- a/lib/dune
++++ b/lib/dune
+@@ -113,6 +113,5 @@
+ (public_name yojson)
+ (modules yojson t basic safe raw common codec lexer_utils)
+ (synopsis "JSON parsing and printing")
+- (libraries seq)
+ (flags
+ (:standard -w -27-32)))
diff --git a/dev-ml/yojson/yojson-2.1.1.ebuild b/dev-ml/yojson/yojson-2.1.1.ebuild
new file mode 100644
index 000000000000..ade0eaed42a7
--- /dev/null
+++ b/dev-ml/yojson/yojson-2.1.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit dune
+
+DESCRIPTION="JSON parsing and pretty-printing library for OCaml"
+HOMEPAGE="https://github.com/ocaml-community/yojson"
+SRC_URI="https://github.com/ocaml-community/${PN}/archive/${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="examples +ocamlopt test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-lang/ocaml-4.07:=[ocamlopt?]
+ !!<dev-ml/seq-0.3
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ >=dev-ml/cppo-1.6.1
+ test? ( dev-ml/alcotest )
+"
+
+PATCHES=( "${FILESDIR}/${PN}-2.1.1-dune-seq.patch" )
+
+src_prepare() {
+ default
+ # let's not build this
+ rm bench/dune yojson-bench.opam || die
+}
+
+src_install() {
+ dune_src_install
+
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2023-11-02 22:11 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-11-02 22:11 [gentoo-commits] repo/gentoo:master commit in: dev-ml/yojson/, dev-ml/yojson/files/ Maciej Barć
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox